fop 1.1

## org.apache.fop.render.java2d
Class Java2DRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.PrintRendererConfigurator
                  org.apache.fop.render.java2d.Java2DRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator, RendererConfigurator

Direct Known Subclasses:
  BitmapRendererConfigurator

    public class Java2DRendererConfigurator

extends PrintRendererConfigurator

Configurerer for Java 2D renderer

Field Summary

Fields inherited from class org.apache.fop.render.PrintRendererConfigurator
`log`

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`Java2DRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`void` `configure(Renderer renderer)` Configure the Java 2D renderer.

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`buildFontList, configure, setupFontInfo`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2DRendererConfigurator

    public Java2DRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)
                   throws FOPException

  Configure the Java 2D renderer.

  Specified by:
    `configure` in interface `RendererConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `renderer` - java 2d renderer
  Throws:
    `FOPException` - fop exception

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.